Skip to navigation

Tokenize an account

View as Markdown

Convert legacy ACH ABA routing and account numbers or an International Bank Account Number (IBAN) into a verified token to meet NACHA requirements.

Authentication

AuthorizationBasic

Query parameters

verifyAccountbooleanOptionalDefaults to false
If true, Trustly will verify the provided account data. Default value is false.

Request

This endpoint expects an object.
merchantIdstringRequired>=1 character
accountobjectRequired

Response

OK
namestring>=1 character
Account name.
typeenum

Financial Institution Account Type:

  • -1: Unknown
  • 0: Other
  • 1: Checking
  • 2: Savings
Allowed values:
profileenum

Financial Institution Account Profile:

  • -1: Unknown
  • 0: Other
  • 1: Personal
  • 2: Business
Allowed values:
verificationobject
accountNumberstring1-4 characters
Financial institution account number
tokenstring>=1 character
Account token for the returned account. This can be used to identify duplicate bank accounts in your system.
verifiedboolean
If true, the account is verified.
nameOnAccountstringOptional>=1 character
Account owner name.
routingNumberstringOptional1-17 characters
Bank Routing Number provided by the selected account.
ibanstringOptional>=1 character

IBAN (International Bank Account Number) is an internationally agreed system of identifying bank accounts across national borders

accountIdstringOptional
providerIdstringOptional
paymentProviderobjectOptional
Details of the Financial institution
countryenumOptional

2-character ISO code of the country for the bank account that was selected. Currently only the US, CA, UK, DE, and AU are supported.

Allowed values:

Errors

400
Bad Request Error